Mailinglist Archive: opensuse-features (291 mails)

< Previous Next >
[openFATE 309022] Drop ext3 driver and use ext4 kernel and userspace tools only
  • From: fate_noreply@xxxxxxx
  • Date: Wed, 19 May 2010 00:17:25 +0200 (CEST)
  • Message-id: <feature-309022-2@xxxxxxxxxxxxxx>
Feature changed by: Greg Freemyer (gregfreemyer)
Feature #309022, revision 2
Title: Drop ext3 driver and use ext4 kernel and userspace tools only

openSUSE-11.3: Unconfirmed
Priority
Requester: Desirable

Requested by: Greg Freemyer (gregfreemyer)

Description:
Per Ted Ts'o (the ext4 maintainer:
 
"Ext4 is format compatible with ext3, and with the proper kernel
configuration options, starting with 2.6.33, it's possible to
seemlessly allow people who use "mount -t ext3 /dev/sda1 /u1" to have
/dev/sda1 mounted using the ext4 file system driver.  So we even have a
way that we can seemlessly upgrade existing userspace setups to using
ext4 without having to make any system configuration changes (except
installing a new kernel, of course)."
 
Thus it may make sense to drop the ext3 driver from OS 11.3
I'm not sure how useful it is to do, but ext4 is where the new
development is taking place for both the kernel and userspace tools, so
it seems it might be useful to switch everyone to ext4 userspace
tools.

+ Discussion:
+ #1: Greg Freemyer (gregfreemyer) (2010-05-19 00:17:02)
+ I was looking into this a little more and it turns out ext2 / ext3 /
+ ext4 all share the same userspace tools.
+  
+ So this only comes down to the ext2 and ext3 kernel modules.



--
openSUSE Feature:
https://features.opensuse.org/309022

< Previous Next >
This Thread
  • No further messages